XaRecoveryLog (Transactions JTA 4.0.6 API)
Date: 2018-01-11

com.atomikos.recovery.xa

## Interface XaRecoveryLog

- All Known Implementing Classes:
    DefaultXaRecoveryLog

      public interface XaRecoveryLog

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Set<XID>` | `getExpiredCommittingXids()`
    `void` | `presumedAborting(XID xid)` Notifies the log that recovery is about to rollback a pending xid according to the "presumed abort" paradigm.
    `void` | `terminated(XID xid)` Notifies the log that recovery has terminated a pending xid.
    `void` | `terminatedWithHeuristicCommitByResource(XID xid)`
    `void` | `terminatedWithHeuristicHazardByResource(XID xid)`
    `void` | `terminatedWithHeuristicMixedByResource(XID xid)`
    `void` | `terminatedWithHeuristicRollbackByResource(XID xid)`

- - ### Method Detail

    - #### presumedAborting

          void presumedAborting(XID xid)
                                throws java.lang.IllegalStateException,
                                       LogException

      Notifies the log that recovery is about to rollback a pending xid according to the "presumed abort" paradigm. This method fails if:
      - The xid is currently COMMITTING in the log, OR
      - The xid is still PREPARING but not yet expired at the moment this method is called
      Parameters:
        `xid` -
      Throws:
        `java.lang.IllegalStateException` - If the state precondition is not satisfied.
        `LogException`

    - #### terminated

          void terminated(XID xid)

      Notifies the log that recovery has terminated a pending xid. Due to concurrent OLTP commit or rollback, the xid may no longer be known in the log. In that case, calling this method does nothing.
      Parameters:
        `xid` -

    - #### getExpiredCommittingXids

          java.util.Set<XID> getExpiredCommittingXids()
                                                      throws LogException

      Throws:
        `LogException`

    - #### terminatedWithHeuristicHazardByResource

          void terminatedWithHeuristicHazardByResource(XID xid)
                                                       throws LogException

      Throws:
        `LogException`

    - #### terminatedWithHeuristicCommitByResource

          void terminatedWithHeuristicCommitByResource(XID xid)
                                                       throws LogException

      Throws:
        `LogException`

    - #### terminatedWithHeuristicMixedByResource

          void terminatedWithHeuristicMixedByResource(XID xid)
                                                      throws LogException

      Throws:
        `LogException`

    - #### terminatedWithHeuristicRollbackByResource

          void terminatedWithHeuristicRollbackByResource(XID xid)
                                                         throws LogException

      Throws:
        `LogException`

Copyright © 2018. All Rights Reserved.